.".\scripts\common.ps1"

function StopTracing($Option) 
{
     GetOSVersion;

    if ($Option -eq "boot") 
    {
        $global:BootTraceOn = $true;
    }

    if ($Option -eq "msusb")
    {
        StopMsUsbLogging;
        return;
    }

    if ($Option -eq "patch") 
    {
        StopUsbDriverLogging;
        return;
    }

    if ($Option -eq "usbbl") 
    {
        StopiBtUsbBootloaderLogging;
        return;
    }
    
    if ($Option -eq "siva")
    {
        StopSivaLogging;
        return;
    }

    if ($Option -eq "uart")
    {
        StopUartDriverLogging;
        return;
    }

    if ($Option -eq "patchlib") 
    {
        StopPatchLibLogging;
        return;
    }

    if ($Option -eq "rfkill") 
    {
        StopRfKillLogging;
        return;
    }

    if ($Option -eq "audio") 
    {
        StopBtAudioLogging;
        return;
    }

    if ($Option -eq "msbt")
    {
        StopMsBtLogging;
        return;
    }

    if ($Option -eq "moto") 
    {
        StopMotorolaCommonLogging; 
        return;
    }

    if ($Option -eq "profiles" -and $ret) 
    {
        BTMotorolaLeHIDTraceLogging($Control);  
        BTMotorolaMediaTraceLogging($Control);  
        BTMotorolaOBEXTraceLogging($Control);  
        BTMotorolaSkypeTraceLogging($Control); 
    }
}

if(Test-Path "options.log" -PathType Leaf) 
{
    $Options = Get-Content "options.log";

    Remove-Item "options.log"

    $global:LogFilePath = $Options[0];

    write-host "Closing all the active trace sessions. This will only a moment...";

    for ($i=1; $i -le $Options.Length;$i++)
    {
        StopTracing($Options[$i]);
    }

    write-host "Closed all the active trace sessions." -ForegroundColor Green
    write-host "Collecting additional information about the system..." -ForegroundColor Yellow
 
    DumpEventLog("System");

    BTLogSystemInfo;

    $temp = "$global:LogFilePath\$global:SummaryFile";
    $global:SummaryFile = $temp;

    Write-Host "Collecting BT Link Keys"
    ProbeLinkKeys;

    write-host "Completed"
    write-host "Logs can be found in the subfolder of $LogFilePath" -ForegroundColor Green
} else 
{
    write-host "No active trace sessions found, exiting." -ForegroundColor Yellow
}



